Bug 5629 - Installer bugs, features and some security features
Installer bugs, features and some security features
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-06 10:21 EDT by liinu
Modified: 2015-01-07 18:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-22 09:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description liinu 1999-10-06 10:21:07 EDT
Some features were missing from installer. These misses
might have some security implications:

- (Bug) In packet selection it is not mentioned which
packages should be recommended and which packages are
installed automatically wheter user wants is or not

- (Bug) Installer automatically put a very wrong address to
primary nameserver field. In previous versions this
address appeared to gateway. Eg. IP is 192.243.70.76 then
installer decides that prim. nameserver is 192.243.70.1.
This .1 used to be a 'default gateway' in previuos
installers

- (Security) What has happened to 'select daemons to start'
at the end of installation? Wrong asnwer is Interactive
bootup. This selection should be able to make at
installation time. For example if I happen to install eg.
sendmail and I don't want it to start at boot. How can this
be done?

- (Security) There is no way to disable the interactive
startup. This is a horrible feature if your console is not
all the time behind locked doors.
Comment 1 Bill Nottingham 1999-10-06 10:51:59 EDT
You can disable the interactive stuff.

At the end of /etc/sysconfig/init:
# Set to anything other than 'no' to allow hotkey interactive
startup...
PROMPT=no

Also, you can run ntsysv (or an equivalent) after the install.
We're working on integrating that into the install (doing this
before installation is non-trivial.)
Comment 2 Jay Turner 1999-10-22 09:38:59 EDT
*** This bug has been marked as a duplicate of 6119 ***

Note You need to log in before you can comment on or make changes to this bug.